<div class="viewHeader">
    <h2>Assets</h2>

    <span class="InlineBlock">
        <mat-form-field>
            <mat-select placeholder="Asset Type" name="typeSelect" [(ngModel)]="selectedType" > <!--(ngModelChange)="onTypeChange($event)"-->
                <mat-option *ngFor="let t of objectKeys(typesObject)" [value]="typesObject[t]">
                    {{ typesObject[t].displayName }}
                </mat-option>
            </mat-select>
        </mat-form-field>


        <mat-spinner class="InlineBlock Spinner"
                     *ngIf="!assetsLoaded || !locationsLoaded"
                     [color]="primary"
                     [diameter]="25">
        </mat-spinner>

    </span>
    <span class="FloatRight MarginRight25">

        <button mat-icon-button (click)="onClickEdit()" color="accent" [disabled]="!selectedAsset">
            <i class="fas fa-edit fa-2x"></i>
        </button>

        <button mat-icon-button (click)="onClickAdd()" color="accent" >
            <i class="fas fa-plus-circle fa-2x"></i>
        </button>

        <button mat-icon-button (click)="onClickDelete()" color="accent" [disabled]="!selectedAsset">
            <i class="fas fa-trash fa-2x"></i>
        </button>

    </span>

</div>


<mat-card class="TableScroll">
    <mat-card-content>
<!--        &lt;!&ndash;Computers Table&ndash;&gt;
        <app-asset-table *ngIf="selectedType == typesObject.computer" [showLocation]="true" [assets]="computers" [columns]="computerColumns" (selectRowEvent)="onRowSelect($event)"></app-asset-table>

        &lt;!&ndash;Network Devices Table&ndash;&gt;
        <app-asset-table *ngIf="selectedType == typesObject.networkDevice" [showLocation]="true" [assets]="networkDevices" [columns]="networkDeviceColumns" (selectRowEvent)="onRowSelect($event)"></app-asset-table>

        &lt;!&ndash;Payment Devices&ndash;&gt;
        <app-asset-table *ngIf="selectedType == typesObject.paymentDevice" [showLocation]="true" [assets]="paymentDevices" [columns]="paymentDeviceColumns" (selectRowEvent)="onRowSelect($event)"></app-asset-table>

        &lt;!&ndash;MPOS&ndash;&gt;
        <app-asset-table *ngIf="selectedType == typesObject.mposDevice" [showLocation]="true" [assets]="mposDevices" [columns]="mposDeviceColumns" (selectRowEvent)="onRowSelect($event)"></app-asset-table>

        &lt;!&ndash;Other&ndash;&gt;
        <app-asset-table *ngIf="selectedType == typesObject.other" [showLocation]="true" [assets]="otherAssets" [columns]="otherColumns" (selectRowEvent)="onRowSelect($event)"></app-asset-table>-->

        <!--All Assets Table-->
        <app-asset-table-all *ngIf="selectedType == typesObject.all" [assets]="allAssets" [columnsToDisplay]="otherColumnsToDisplay" (selectRowEvent)="onRowSelect($event)"></app-asset-table-all>

        <!--Computers Table-->
        <app-asset-table-all *ngIf="selectedType == typesObject.computer" [assets]="computers" [columnsToDisplay]="computerColumnsToDisplay" (selectRowEvent)="onRowSelect($event)"></app-asset-table-all>

        <!--Network Devices Table-->
        <app-asset-table-all *ngIf="selectedType == typesObject.networkDevice" [assets]="networkDevices" [columnsToDisplay]="networkColumnsToDisplay" (selectRowEvent)="onRowSelect($event)"></app-asset-table-all>

        <!--Payment Devices-->
        <app-asset-table-all *ngIf="selectedType == typesObject.paymentDevice" [assets]="paymentDevices" [columnsToDisplay]="paymentColumnsToDisplay" (selectRowEvent)="onRowSelect($event)"></app-asset-table-all>

        <!--MPOS-->
        <app-asset-table-all *ngIf="selectedType == typesObject.mposDevice" [assets]="mposDevices" [columnsToDisplay]="mposColumnsToDisplay" (selectRowEvent)="onRowSelect($event)"></app-asset-table-all>

        <!--Printer-->
        <app-asset-table-all *ngIf="selectedType == typesObject.printer" [assets]="printers" [columnsToDisplay]="printerColumnsToDisplay" (selectRowEvent)="onRowSelect($event)"></app-asset-table-all>

        <!--Other-->
        <app-asset-table-all *ngIf="selectedType == typesObject.other" [assets]="otherAssets" [columnsToDisplay]="otherColumnsToDisplay" (selectRowEvent)="onRowSelect($event)"></app-asset-table-all>



    </mat-card-content>
</mat-card>


<!--<app-asset-table [showLocation]="true" [assets]="currentAssets" [columns]="columns" (selectRowEvent)="onRowSelect($event)"></app-asset-table>-->